Bug 142372 - ALPS touchpad on thosiba P30-107 not recognized but works without special drivers
ALPS touchpad on thosiba P30-107 not recognized but works without special dri...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 05:28 EST by Jörg BUCHMANN
Modified: 2015-01-04 17:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-27 23:44:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jörg BUCHMANN 2004-12-09 05:28:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When I installed FC3 the ALPS touchpad on my laptop wasn't recognized,
so didn't work. I tried without any success to install the driver for
synaptics and its patch for ALPS touchpads.

By a simple moment of luck I unplugged my Logitec USB Receiver for the
cordless mouse I used instead. I did this exactly in the beginning of
the boot process of fedora when it says "....initialized.". Just
before the boot process goes to the next step I unplugged and what a
wonder, my ALPS touchpad worked fine for the whole session.

I recognized that the hwconf file contained the following :

class: MOUSE
bus: PSAUX
detached: 0
device: input/mice
driver: generic3ps/2
desc: "PS/2 Generic Mouse"

It would be great if you could make the touchpad be recognized the
same way.

By the way I am on a freshly installed system without any changes from
my hand, updated via internet (today : 9 dec. 2004), kernel
2.6.9-1.681FC3smp

Thanks for your help.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.plugin the Logitec USB Receiver for wireless mice
2.boot
3.just avec the beginning when it says "...initialized." unplug just
before the next step (you have to be precise)

    

Actual Results:  the ALPS touchpad worked without any special
installations

Expected Results:  the ALPS touchpad shouldn't work at all just like
all the time

Additional info:
Comment 1 Dave Jones 2005-07-15 14:50:36 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Jörg BUCHMANN 2005-07-18 03:55:06 EDT
I have updated to FC4 and downloaded the latest kernel 1398.

The touchpad works fine now.(In reply to comment #1)

You're great !!

Thanks a lot and best regards.


> An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
> may contain a fix for your problem.   Please update to this new kernel, and
> report whether or not it fixes your problem.
> 
> If you have updated to Fedora Core 4 since this bug was opened, and the problem
> still occurs with the latest updates for that release, please change the version
> field of this bug to 'fc4'.
> 
> Thank you.
Comment 3 Jörg BUCHMANN 2005-07-18 10:43:53 EDT
I have left the comment #2 saying that it works but unfortunately it has worked
only for one time and then the problem comes back !

Sorry.

(In reply to comment #1)
> An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
> may contain a fix for your problem.   Please update to this new kernel, and
> report whether or not it fixes your problem.
> 
> If you have updated to Fedora Core 4 since this bug was opened, and the problem
> still occurs with the latest updates for that release, please change the version
> field of this bug to 'fc4'.
> 
> Thank you.

Comment 4 Ben 2005-09-07 18:28:24 EDT
I had this problem with an alps touchpad on a toshiba laptop.  It wouldn't work
at all.

I posted about this on fedoraforums.  The workaround for me was to download a
new kernel source and compile with ps2 support as a module (not builtin). 
Because the alps module needs to load before ps2 for it work for some reason.  

If you can please change ps2 to be a module in the kernel I think it would solve
our problems.  Or else maybe you can change the alps driver so it doesn't need
to load first.
Comment 5 Ben 2005-09-07 18:30:59 EDT
By the way the only reason I came back here after I found the solution is that
yum update is telling me about a new kernel 2.6.12-1.1447_FC4 which is probably
still broken.

If you want me to test a kernel on my laptop let me know.  
Comment 6 Dave Jones 2005-09-30 03:07:12 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 7 Dave Jones 2005-11-10 15:13:35 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 8 Dave Jones 2005-12-27 23:44:41 EST
This bug has been mass-closed along with other bugs that have been in NEEDINFO
state for several months.

Due to the large volume of inactive bugs in bugzilla, this is the only method we
have of cleaning out stale bug reports where the reporter has disappeared.

If you can reproduce this bug after installing all the current updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting it be reopened,
and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.